> ## Documentation Index
> Fetch the complete documentation index at: https://flashrdp.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Server

> Retrieves the server associated with the specified ID.



## OpenAPI

````yaml /api/control-panel/server.json get /server/{serverId}
openapi: 3.0.1
info:
  title: API Documentation
  description: >-
    ## Overview


    This API allows you to manage your account and servers programmatically.
    Account management features are available to all authenticated users, while
    server management operations are restricted to server owners. Only users who
    own a server can perform actions such as creating, or managing through the
    API.


    ### Authentication


    The API uses **Bearer Token authorization** for all authenticated requests.


    To access protected endpoints, include your API token in the `Authorization`
    header of each request:


    ```

    Authorization: Bearer <your_api_token>

    ```


    If the token is missing, invalid, or expired, the API will respond with:

    ```

    HTTP 401 Unauthorized

    ```


    Tokens are issued through your account and must be kept secure.


    ### Data Format


    The API uses **JSON** for all requests and responses. All requests should be
    sent with the following headers:


    ```

    Content-Type: application/json

    Accept: application/json

    ```


    ### Rate Limiting


    The API is rate limited to prevent excessive requests and ensure fair usage.
    Limits may be increased on request. Each response includes rate limit
    headers that indicate your current usage:

    | Header | Description |

    | ------- | ------------ |

    | **X-RateLimit-Limit** | The total number of requests allowed per minute. |

    | **X-RateLimit-Remaining** | The number of requests remaining in the
    current time window. |

    | **X-RateLimit-Reset** | The time when the limit will be reset. |


    When the limit is reached, the API will respond with the following status
    until the limit resets:


    ```

    HTTP 429 Too Many Requests

    ```


    ### Service Availability


    If the API is temporarily unavailable or undergoing maintenance, it will
    return the following status:


    ```

    HTTP 503 Service Unavailable

    ```


    This status indicates a temporary outage and the request should be retried
    later once the service is restored.
  version: 1.0.0
servers:
  - url: https://servers.flashrdp.com/api
security: []
tags:
  - name: Server
paths:
  /server/{serverId}:
    get:
      tags:
        - Server
      summary: Server
      description: Retrieves the server associated with the specified ID.
      parameters:
        - name: serverId
          in: path
          description: ''
          required: true
          schema:
            type: string
        - name: state
          in: query
          description: Retrieve the remote state of the server.
          required: false
          example: ''
          schema:
            type: boolean
            default: false
        - name: Accept
          in: header
          description: ''
          required: true
          example: application/json
          schema:
            type: string
            enum:
              - application/json
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                      name:
                        type: string
                      hostname:
                        type: string
                        nullable: true
                      suspended:
                        type: boolean
                      protected:
                        type: boolean
                      migrating:
                        type: boolean
                      deleting:
                        type: boolean
                      backupCreating:
                        type: boolean
                      rescue:
                        type: boolean
                      vncEnabled:
                        type: boolean
                      isoMounted:
                        type: boolean
                      uefi:
                        type: boolean
                      bootOrder:
                        type: array
                        items:
                          type: string
                      memory:
                        type: string
                      cpu:
                        type: string
                      storage:
                        type: array
                        items:
                          type: object
                          properties:
                            capacity:
                              type: string
                            enabled:
                              type: boolean
                            primary:
                              type: boolean
                            created:
                              type: string
                      network:
                        type: object
                        properties:
                          primary:
                            type: object
                            properties:
                              mac:
                                type: string
                              limit:
                                type: string
                                nullable: true
                              ipv4:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    address:
                                      type: string
                                    gateway:
                                      type: string
                                    netmask:
                                      type: string
                              ipv6:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    subnet:
                                      type: string
                                    gateway:
                                      type: string
                                    addresses:
                                      type: array
                                      items:
                                        type: string
                          secondary:
                            type: object
                            properties:
                              mac:
                                type: string
                              limit:
                                type: string
                                nullable: true
                              ipv4:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    address:
                                      type: string
                                    gateway:
                                      type: string
                                    netmask:
                                      type: string
                              ipv6:
                                type: array
                                items:
                                  type: object
                                  properties:
                                    subnet:
                                      type: string
                                    gateway:
                                      type: string
                                    addresses:
                                      type: array
                                      items:
                                        type: string
                      currentMonthlyPeriod:
                        type: object
                        properties:
                          start:
                            type: string
                          end:
                            type: string
                      state:
                        type: object
                        properties:
                          status:
                            type: string
                          running:
                            type: boolean
                          cpu:
                            type: string
                          network:
                            type: object
                            properties:
                              primary:
                                type: object
                                properties:
                                  traffic:
                                    type: object
                                    properties:
                                      rx:
                                        type: integer
                                      tx:
                                        type: integer
                                      total:
                                        type: integer
                                    required:
                                      - rx
                                      - tx
                                      - total
                                required:
                                  - traffic
                      created:
                        type: string
              example:
                data:
                  id: 6b32bae9-83e9-44f9-afd4-244f1fa27a49
                  name: Test VM
                  hostname: null
                  suspended: false
                  protected: false
                  migrating: false
                  deleting: false
                  backupCreating: false
                  rescue: false
                  vncEnabled: false
                  isoMounted: false
                  uefi: false
                  bootOrder:
                    - hd
                    - cdrom
                  memory: 1024 MB
                  cpu: 2 Core
                  storage:
                    - capacity: 10 GB
                      enabled: true
                      primary: true
                      created: '2025-08-17T11:06:30+00:00'
                  network:
                    primary:
                      mac: 00:FA:D9:01:AC:45
                      limit: null
                      ipv4:
                        - address: 10.5.5.6
                          gateway: 10.5.5.2
                          netmask: 255.255.255.0
                      ipv6:
                        - subnet: 2604:f440:4:5:4::/80
                          gateway: 2604:f440:4:5::1
                          addresses:
                            - 2604:f440:4:5:4::a
                    secondary:
                      mac: 00:E8:8B:7B:45:85
                      limit: null
                      ipv4:
                        - address: 10.40.40.2
                          gateway: 10.40.40.1
                          netmask: 255.255.255.0
                      ipv6:
                        - subnet: 2604:f440:4:5:5::/80
                          gateway: 2604:f440:4:5::1
                          addresses:
                            - 2604:f440:4:5:5::a
                  currentMonthlyPeriod:
                    start: '2025-10-17T00:00:00.000000Z'
                    end: '2025-11-16T23:59:59.999999Z'
                  state:
                    status: running
                    running: true
                    cpu: 0.3 %
                    network:
                      primary:
                        traffic:
                          rx: 85047516
                          tx: 69343413
                          total: 154390929
                  created: '2025-08-17T11:06:30+00:00'
          headers: {}
        '401':
          $ref: '#/components/responses/Unauthorized'
          description: ''
        '404':
          $ref: '#/components/responses/NotFound'
          description: ''
        '429':
          $ref: '#/components/responses/TooManyRequests'
          description: ''
      deprecated: false
      security:
        - bearer: []
components:
  responses:
    Unauthorized:
      description: ''
      content: {}
    NotFound:
      description: ''
      content:
        application/json:
          schema:
            type: object
            properties:
              errors:
                type: array
                items:
                  type: string
          examples:
            Example 1:
              summary: Example 1
              value:
                errors:
                  - This is an error returned from the API
                  - This is another error return from the API
    TooManyRequests:
      description: ''
      content: {}
  securitySchemes:
    bearer:
      type: http
      scheme: bearer

````